Subject: bug#52723: closed (Re: [bug#52723] [PATCH] gnu: maven: Update to 3.8.4.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 05 Feb 2022 21:54:02 +0000

Your bug report

#52723: [PATCH] gnu: maven: Update to 3.8.4.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52723: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52723
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#52723] [PATCH] gnu: maven: Update to 3.8.4.
From: Julien Lepiller <[email-masked]>
To: Björn Höfling <[email-masked]>
Cc: [email-masked]
Date: Sat, 5 Feb 2022 22:53:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Sat, 5 Feb 2022 17:16:00 +0100,
Björn Höfling <[email-masked]> a écrit :

> On Tue, 21 Dec 2021 23:42:31 +0100
> Julien Lepiller <[email-masked]> wrote:
> 
> > Hi guix!
> > 
> > This series updates maven to the latest version. I was able to find
> > an update order for most of the changes, but the last patch still
> > has to update three packages at the same time, and changes
> > inherited packages to fix them.  
> 
> Hi Julien,
> 
> I finished my reviews, maven compiles, runs and also the package
> java-jmh, which uses the maven-build-system builds with the new Maven
> version.
> 
> Björn

Thanks, pushed to master.

Subject: [PATCH] gnu: maven: Update to 3.8.4.
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Date: Tue, 21 Dec 2021 23:42:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi guix!

This series updates maven to the latest version. I was able to find an
update order for most of the changes, but the last patch still has to
update three packages at the same time, and changes inherited packages
to fix them.